import { SampleService } from './services/sample.service';
import { HttpModule } from '@angular/http';
import { AccountProvider } from './services/account/account.provider';
import { AccountProvider_V2 } from './services/account/account.v2.provider';
import { ClientProvider } from './services/client/client.provider';
import { StoreDetailsProvider } from './services/store-details/store-details.provider';
import { ServerNotificationProvider } from './services/server-notification/server-notification.provider';
import { CartsProvider } from './services/cart/cart.provider';
import { ApiProvider } from './services/api/api.provider';
import { CalendarProvider } from './services/calendar/calendar.provider';
import { QRProvider } from './services/qrCode/qrCode.provider';
import { StoreCheckinProvider } from './services/store-checkin/store-checkin.provider';
import { BarcodeProvider } from './services/barcode/barcode.provider';
import { BeaconProvider } from './services/beacon/beacon.provider';
import { StoreProvider } from './services/store/store.provider';
import { TenantProvider } from './services/tenant/tenant.provider';
import { TouchpointProvider } from './services/touchpoint/touchpoint.provider';
import { UserEventProvider } from './services/user-events/user-events.provider';
import { OffersProvider } from './services/offers/offers.provider';
import { ProductsProvider } from './services/product/products.provider';
import { LocalNotificationProvider } from './services/local-notification/local-notification.provider';
import { WishListsProvider } from './services/wishlist/wishlist.provider';
import { ConfigProvider } from './services/config/configuration.provider';
import { ContentProvider } from './services/content/content.provider';
import { CouponProvider } from './services/coupon/coupon.provider';
export * from './services/sample.service';
export * from './services/account/account.provider';
export * from './services/account/account.v2.provider';
export * from './services/client/client.provider';
export * from './services/store-details/store-details.provider';
export * from './services/server-notification/server-notification.provider';
export * from './services/cart/cart.provider';
export * from './services/api/api.provider';
export * from './services/calendar/calendar.provider';
export * from './services/qrCode/qrCode.provider';
export * from './services/store-checkin/store-checkin.provider';
export * from './services/local-notification/local-notification.provider';
export * from './services/offers/offers.provider';
export * from './services/barcode/barcode.provider';
export * from './services/beacon/beacon.provider';
export * from './services/store/store.provider';
export * from './services/tenant/tenant.provider';
export * from './services/touchpoint/touchpoint.provider';
export * from './services/user-events/user-events.provider';
export * from './services/wishlist/wishlist.provider';
export * from './services/product/products.provider';
export * from './services/config/configuration.provider';
export * from './services/content/content.provider';
export * from './services/coupon/coupon.provider';
export { AccountProvider, AccountProvider_V2, ApiProvider, SampleService, CartsProvider, ConfigProvider, ClientProvider, ProductsProvider, StoreDetailsProvider, ServerNotificationProvider, CalendarProvider, QRProvider, StoreCheckinProvider, LocalNotificationProvider, OffersProvider, BarcodeProvider, BeaconProvider, CouponProvider, StoreProvider, TenantProvider, TouchpointProvider, UserEventProvider, WishListsProvider, ContentProvider, HttpModule };
