import { ApiProvider } from '../../services/api/api.provider';
import { Subject } from 'rxjs/Subject';
import { Account } from './account';
import { Transaction } from './transaction';
import 'rxjs/add/operator/map';
export declare class AccountProvider {
    apiProvider: ApiProvider;
    accounts: Account[];
    currentAccount: Account;
    accountObservable: Subject<Account>;
    accountsObservable: Subject<Account[]>;
    constructor(apiProvider: ApiProvider);
    accountState(result: Account): void;
    create(userId: string): Promise<{}>;
    retrieveAllAccounts(): Promise<{}>;
    retrieveAccounts(filter: any): Promise<{}>;
    retrieve(accountId: string): Promise<{}>;
    update(userId: string, accountId: string): Promise<{}>;
    delete(accountId: string): Promise<{}>;
    changeStatus(accountId: string, newStatus: string): Promise<{}>;
    addTransaction(accountId: string, transaction: Transaction): Promise<{}>;
    retrieveTransaction(accountId: string, transactionId: string): Promise<{}>;
    deserializeAccounts(incoming: any): Account[];
}
