"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Beacon = (function () {
    function Beacon(id, uuid, major, minor, identifier, tenantId, storeId, touchpointId, position) {
        this.id = id;
        this.uuid = uuid;
        this.major = major;
        this.minor = minor;
        this.identifier = identifier;
        this.tenantId = tenantId;
        this.storeId = storeId;
        this.touchpointId = touchpointId;
        this.position = position;
    }
    Beacon.fromJson = function (obj) {
        return new Beacon(obj.id, obj.uuid, obj.major, obj.minor, obj.identifier, obj.tenantId, obj.storeId, obj.touchpointId, obj.position);
    };
    ;
    Beacon.prototype.toJson = function () {
        var beaconJson = {
            id: this.id,
            uuid: this.uuid,
            major: this.major,
            minor: this.minor,
            identifier: this.identifier,
            tenantId: this.tenantId,
            storeId: this.storeId,
            touchpointId: this.touchpointId,
            position: this.position
        };
        return beaconJson;
    };
    Beacon.prototype.getId = function () { return this.id; };
    ;
    Beacon.prototype.getUuid = function () { return this.uuid; };
    ;
    Beacon.prototype.getMajor = function () { return this.major; };
    ;
    Beacon.prototype.getMinor = function () { return this.minor; };
    ;
    Beacon.prototype.getIdentifier = function () { return this.identifier; };
    ;
    Beacon.prototype.getStoreId = function () { return this.storeId; };
    ;
    Beacon.prototype.gettenantId = function () { return this.tenantId; };
    ;
    Beacon.prototype.getTouchpointId = function () { return this.touchpointId; };
    ;
    Beacon.prototype.getPosition = function () { return this.position; };
    ;
    return Beacon;
}());
exports.Beacon = Beacon;
//# sourceMappingURL=beacon.js.map