import { ConfigurationDetails } from './configuration-details';
export declare class Configuration {
    id: string;
    userId: string;
    storeId: string;
    appId: string;
    tenantId: string;
    ConfigDetails: ConfigurationDetails;
    static fromJson(obj: any): Configuration;
    toJson(): any;
    constructor(id: string, userId: string, storeId: string, appId: string, tenantId: string, ConfigDetails: ConfigurationDetails);
    getId(): string;
    getUserId(): string;
    getTenantId(): string;
    getAppId(): string;
    getStoreId(): string;
    getConfigDetails(): ConfigurationDetails;
    get(key: any): void;
}
