"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("lodash");
var Coupon = (function () {
    function Coupon(tenantId, storeId, name, description, banner, status, created, startDate, endDate, rules, userId, id) {
        this.id = id;
        this.tenantId = tenantId;
        this.storeId = storeId;
        this.name = name;
        this.description = description;
        this.banner = banner;
        this.status = status;
        this.created = created;
        this.startDate = startDate;
        this.endDate = endDate;
        this.rules = rules;
        this.userId = userId;
    }
    Coupon.fromJson = function (obj) {
        return new Coupon(obj.tenantId, obj.storeId, obj.name, obj.description, obj.banner, obj.status, obj.created, obj.startDate, obj.endDate, _.map((_.values(obj.rules)), JSON.parse), obj.userId, obj.id);
    };
    ;
    Coupon.prototype.toJson = function () {
        var couponJson = {
            id: this.id,
            tenantId: this.tenantId,
            storeId: this.storeId,
            name: this.name,
            description: this.description,
            banner: this.banner,
            status: this.status,
            created: this.created,
            startDate: this.startDate,
            endDate: this.endDate,
            rules: JSON.stringify(this.rules),
            userId: this.userId
        };
        return couponJson;
    };
    Coupon.prototype.getId = function () { return this.id; };
    ;
    Coupon.prototype.getStoreId = function () { return this.storeId; };
    ;
    Coupon.prototype.gettenantId = function () { return this.tenantId; };
    ;
    Coupon.prototype.getName = function () { return this.name; };
    ;
    Coupon.prototype.getDescription = function () { return this.description; };
    ;
    Coupon.prototype.getBanner = function () { return this.banner; };
    ;
    Coupon.prototype.getStatus = function () { return this.status; };
    ;
    Coupon.prototype.getcreated = function () { return this.created; };
    ;
    Coupon.prototype.getStartDate = function () { return this.startDate; };
    ;
    Coupon.prototype.getEndDate = function () { return this.endDate; };
    ;
    Coupon.prototype.getRules = function () { return this.rules; };
    ;
    Coupon.prototype.getUserId = function () { return this.userId; };
    ;
    return Coupon;
}());
exports.Coupon = Coupon;
//# sourceMappingURL=coupon.js.map