export declare class Product {
    id: string;
    name: string;
    brand: string;
    description: string;
    price: number;
    img_url: string;
    category: string;
    tenantId: string;
    sku: string;
    __v: string;
    printer: object;
    static fromJson(obj: any): Product;
    static inCartFromJson(obj: any): Product;
    toJson(): any;
    constructor(id: string, name: string, brand: string, description: string, price: number, img_url: string, category: string, tenantId: string, sku: string, __v?: string, printer?: object);
    getId(): string;
    getName(): string;
    getBrand(): string;
    getDescription(): string;
    getPrice(): number;
    getImgUrl(): string;
    getCategory(): string;
    getTenantId(): string;
    getPrinter(): object;
    getSKU(): string;
}
