import { BarcodeScanner } from '@ionic-native/barcode-scanner';
import { CartsProvider } from '../../services';
import { Cart } from '../../classes';
export declare class QRProvider {
    private barcodeScanner;
    qrIMage: string;
    constructor(barcodeScanner: BarcodeScanner);
    createQRCode(data: string): any;
    ScanCart(userId: string, cartsProvider: CartsProvider): void;
    parseQRCode(scannedData: string, userId: string, cartsProvider: CartsProvider): void;
    passCartItems(source: Cart, destination: Cart, cartsProvider: CartsProvider): void;
}
