"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ionic_angular_1 = require("ionic-angular");
var ServerNotificationProvider = (function () {
    function ServerNotificationProvider(toastctrl) {
        this.toastctrl = toastctrl;
    }
    ServerNotificationProvider.prototype.notify = function (nav, server) {
        this.socket = io(server);
        this.socket.on('notify', function (msg) {
            var toast = this.toastctrl.create({
                message: msg,
                duration: 2000
            });
            toast.present();
        });
    };
    return ServerNotificationProvider;
}());
ServerNotificationProvider.decorators = [
    { type: core_1.Injectable },
];
ServerNotificationProvider.ctorParameters = function () { return [
    { type: ionic_angular_1.ToastController, },
]; };
exports.ServerNotificationProvider = ServerNotificationProvider;
//# sourceMappingURL=server-notification.provider.js.map