import { Store } from './store';
import { ApiProvider } from '../../services/api/api.provider';
import 'rxjs/add/operator/map';
export declare class StoreProvider {
    apiProvider: ApiProvider;
    stores: Store[];
    constructor(apiProvider: ApiProvider);
    create(storeParameters: any): Promise<{}>;
    retrieve(storeId: string): Promise<{}>;
    retrieveByTenant(tenantId: string): Promise<{}>;
    retrieveByLocation(tenantId: string, coords: any, radius: number): Promise<{}>;
    TestByTennat(): Promise<{}>;
    TestByLocation(tenantId: string, coords: any, radius: number): Promise<{}>;
}
