"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Touchpoint = (function () {
    function Touchpoint(id, tenantId, storeId, type, appId, name, description, position, users, created, updated, cartId) {
        this.id = id;
        this.tenantId = tenantId;
        this.storeId = storeId;
        this.type = type;
        this.appId = appId;
        this.name = name;
        this.description = description;
        this.position = position;
        this.users = users ? users : [];
        this.created = created;
        this.updated = updated;
        this.cartId = cartId;
    }
    Touchpoint.fromJson = function (obj) {
        return new Touchpoint(obj.id, obj.tenantId, obj.storeId, obj.type, obj.appId, obj.name, obj.description, obj.position, obj.users, obj.created, obj.updated, obj.cartId);
    };
    ;
    Touchpoint.prototype.toJson = function () {
        var TouchpointJson = {
            id: this.id,
            tenantId: this.tenantId,
            storeId: this.storeId,
            type: this.type,
            appId: this.appId,
            name: this.name,
            description: this.description,
            position: this.position,
            users: this.users,
            created: this.created,
            updated: this.updated,
            cartId: this.cartId
        };
        return TouchpointJson;
    };
    return Touchpoint;
}());
exports.Touchpoint = Touchpoint;
//# sourceMappingURL=touchpoint.js.map