import { ApiProvider } from '../../services/api/api.provider';
import { Touchpoint } from './touchpoint';
import 'rxjs/add/operator/map';
import { Subject } from 'rxjs/Subject';
export declare class TouchpointProvider {
    apiProvider: ApiProvider;
    touchpoints: Touchpoint[];
    currentTouchpoint: Touchpoint;
    touchpointObservable: Subject<Touchpoint>;
    touchpointsObservable: Subject<Touchpoint[]>;
    constructor(apiProvider: ApiProvider);
    create(touchpointParameters: any): Promise<{}>;
    retrieveDetails(tenantId: string, touchpointId: string): Promise<{}>;
    retrieveTouchpoints(tenantId: string, storeId: string): Promise<{}>;
    update(touchpointId: string, obj: any): Promise<{}>;
    delete(touchpointId: string): Promise<{}>;
    addUser(touchpointId: string, userId: string): Promise<{}>;
    removeUser(touchpointId: string, userId: string): Promise<{}>;
    touchpointState(result: Touchpoint): void;
}
