"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var printer_1 = require("./services/printer/printer");
var cart_1 = require("./services/cart/cart");
var configuration_1 = require("./services/config/configuration");
var configuration_details_1 = require("./services/config/configuration-details");
var product_1 = require("./services/product/product");
var calendar_1 = require("./services/calendar/calendar");
var offer_1 = require("./services/offers/offer");
var beacon_1 = require("./services/beacon/beacon");
var touchpoint_1 = require("./services/touchpoint/touchpoint");
var wishlist_1 = require("./services/wishlist/wishlist");
var store_1 = require("./services/store/store");
var client_1 = require("./services/client/client");
var coupon_1 = require("./services/coupon/coupon");
var account_1 = require("./services/account/account");
var transaction_1 = require("./services/account/transaction");
__export(require("./services/cart/cart"));
__export(require("./services/config/configuration"));
__export(require("./services/config/configuration-details"));
__export(require("./services/product/product"));
__export(require("./services/calendar/calendar"));
__export(require("./services/offers/offer"));
__export(require("./services/beacon/beacon"));
__export(require("./services/touchpoint/touchpoint"));
__export(require("./services/wishlist/wishlist"));
__export(require("./services/store/store"));
__export(require("./services/client/client"));
__export(require("./services/coupon/coupon"));
__export(require("./services/account/account"));
__export(require("./services/account/transaction"));
__export(require("./services/printer/printer"));
exports.CLASSES = [
    account_1.Account,
    beacon_1.Beacon,
    calendar_1.Calendar,
    cart_1.Cart,
    cart_1.CartItem,
    configuration_1.Configuration,
    configuration_details_1.ConfigurationDetails,
    coupon_1.Coupon,
    client_1.Customer,
    offer_1.Offer,
    product_1.Product,
    store_1.Store,
    touchpoint_1.Touchpoint,
    transaction_1.Transaction,
    wishlist_1.WishList,
    printer_1.Printer
];
//# sourceMappingURL=classes.js.map