import { Transaction } from './transaction';
export declare class Account {
    id: string;
    code: string;
    userId: string;
    type: string;
    status: string;
    name: string;
    currency: string;
    transactions: Transaction[];
    created: string;
    balance: number;
    private numTransactions;
    static fromJson(obj: any): Account;
    toJson(): any;
    constructor(numTransactions: number, id: string, code: string, userId: string, type: string, status: string, name: string, currency: string, transactions: Transaction[], created: string);
    calculatebalance(): void;
    setItemsCount(): void;
    getItemsCount(): number;
    getType(): string;
    getTransactions(): Transaction[];
    getbalance(): number;
}
