"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Transaction = (function () {
    function Transaction(id, amount, desc, notes, created, type, currency) {
        this.id = id;
        this.amount = amount;
        this.desc = desc;
        this.notes = notes;
        this.created = created;
        this.type = type;
        this.currency = currency;
    }
    Transaction.fromJson = function (obj) {
        return new Transaction(obj.id, obj.amount, obj.desc, obj.notes, obj.created, obj.type, obj.currency);
    };
    Transaction.prototype.toJson = function () {
        var transaction = {};
        transaction.id = this.id;
        transaction.amount = this.amount;
        transaction.desc = this.desc;
        transaction.created = this.created;
        transaction.notes = this.notes;
        transaction.type = this.type;
        transaction.currency = this.currency;
        return transaction;
    };
    Transaction.prototype.getId = function () { return this.id; };
    Transaction.prototype.getCost = function () { return this.amount; };
    Transaction.prototype.getDescription = function () { return this.desc; };
    return Transaction;
}());
exports.Transaction = Transaction;
//# sourceMappingURL=transaction.js.map