import { Http, Request } from '@angular/http';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/toPromise';
export declare class ApiProvider {
    http: Http;
    accessToken: string;
    userId: string;
    refreshToken: string;
    expiresIn: string;
    appId: string;
    apiUri: string;
    socketUri: string;
    clientId: string;
    clientSecret: string;
    getToken: () => Promise<{}>;
    prepareReq: (method: string, endpoint: string, payload: any) => Request;
    user: any;
    language: string;
    constructor(http: Http);
    api(method: string, endpoint: string, payload: any): Promise<{}>;
    prepareOxlReq(method: string, endpoint: string, payload: any): Request;
    getOxlToken(): Promise<{}>;
    loginUser(payload: any): Promise<{}>;
    logout(): Promise<{}>;
    resolver(resolve: any, reject: any): void;
    retrieveUserInfo(): Promise<{}>;
    setLanguage(lang: string): void;
    getLanguage(): string;
    setApiUri(newUri: string): void;
    setSocketUri(newUri: string): void;
}
