import { Http } from '@angular/http';
import 'rxjs/add/operator/map';
import { NavController } from 'ionic-angular';
import { ProductsProvider } from '../product/products.provider';
import { StoreProvider } from '../store/store.provider';
import { BarcodeScanner } from '@ionic-native/barcode-scanner';
import 'rxjs/add/operator/map';
export declare class BarcodeData {
    text: String;
    format: String;
    constructor(text: String, format: String);
}
export declare class BarcodeProvider {
    http: Http;
    navController: NavController;
    productsProvider: ProductsProvider;
    storeProvider: StoreProvider;
    private barcodeScanner;
    data: any;
    products: any;
    store: any;
    isLandScape: boolean;
    scannedStore: any;
    scannedData: any;
    scannedID: any;
    constructor(http: Http, navController: NavController, productsProvider: ProductsProvider, storeProvider: StoreProvider, barcodeScanner: BarcodeScanner);
    click(Page: any): void;
    load(scannedData: String, Page: any): Promise<{}>;
}
