import { ApiProvider } from '../../services/api/api.provider';
import { Beacon } from './beacon';
import 'rxjs/add/operator/map';
import { Subject } from 'rxjs/Subject';
export declare class BeaconProvider {
    apiProvider: ApiProvider;
    beacons: Beacon[];
    currentBeacon: Beacon;
    beaconObservable: Subject<Beacon>;
    beaconSetObservable: Subject<Beacon[]>;
    constructor(apiProvider: ApiProvider);
    createBeacon(beacon: Beacon): Promise<{}>;
    retrieveBeacon(beaconId: string): Promise<{}>;
    retrieveByTenant(tenantId: string): Promise<{}>;
    createEvent(uuid: string, major: number, minor: number): Promise<{}>;
    beaconState(result: Beacon): void;
}
