"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ConfigurationDetails = (function () {
    function ConfigurationDetails(name, logo, color, images, modules, printers, type) {
        this.name = name;
        this.logo = logo;
        this.color = color;
        this.images = images;
        this.modules = modules;
        this.printers = printers;
        this.type = type;
    }
    ConfigurationDetails.fromJson = function (obj) {
        return new ConfigurationDetails(obj.name, obj.logo, obj.color, obj.images, obj.modules, obj.printers, obj.type);
    };
    ConfigurationDetails.prototype.toJson = function () {
        var obj = {};
        obj.name = this.getName();
        obj.logo = this.getLogo();
        obj.images = this.getImages();
        obj.modules = this.getModules();
        obj.printers = this.getPrinters();
        obj.type = this.getType();
        return obj;
    };
    ConfigurationDetails.prototype.getName = function () { return this.name; };
    ConfigurationDetails.prototype.getLogo = function () { return this.logo; };
    ConfigurationDetails.prototype.getColor = function () { return this.color; };
    ConfigurationDetails.prototype.getImages = function () { return this.images; };
    ConfigurationDetails.prototype.getModules = function () { return this.modules; };
    ConfigurationDetails.prototype.getPrinters = function () { return this.printers; };
    ConfigurationDetails.prototype.getType = function () { return this.type; };
    return ConfigurationDetails;
}());
exports.ConfigurationDetails = ConfigurationDetails;
//# sourceMappingURL=configuration-details.js.map