"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var configuration_details_1 = require("./configuration-details");
var Configuration = (function () {
    function Configuration(id, userId, storeId, appId, tenantId, ConfigDetails) {
        this.id = id;
        this.userId = userId;
        this.storeId = storeId;
        this.appId = appId;
        this.tenantId = tenantId;
        this.ConfigDetails = ConfigDetails;
    }
    Configuration.fromJson = function (obj) {
        return new Configuration(obj.id, obj.userId, obj.storeId, obj.appId, obj.tenantId, configuration_details_1.ConfigurationDetails.fromJson(obj.config));
    };
    Configuration.prototype.toJson = function () {
        var obj = {};
        obj.id = this.getId();
        obj.userId = this.getUserId();
        obj.storeId = this.getStoreId();
        obj.appId = this.getAppId();
        obj.tenantId = this.getTenantId();
        obj.config = this.getConfigDetails().toJson();
        return obj;
    };
    Configuration.prototype.getId = function () { return this.id; };
    Configuration.prototype.getUserId = function () { return this.userId; };
    Configuration.prototype.getTenantId = function () { return this.tenantId; };
    Configuration.prototype.getAppId = function () { return this.appId; };
    Configuration.prototype.getStoreId = function () { return this.storeId; };
    Configuration.prototype.getConfigDetails = function () { return this.ConfigDetails; };
    Configuration.prototype.get = function (key) {
    };
    return Configuration;
}());
exports.Configuration = Configuration;
//# sourceMappingURL=configuration.js.map