"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Printer = (function () {
    function Printer(belonging, status) {
        this.belonging = belonging;
        this.status = status;
    }
    Printer.fromJson = function (obj) {
        return new Printer(obj.belonging ? obj.belonging : undefined, obj.status ? obj.status : undefined);
    };
    Printer.prototype.toJson = function () {
        var printerJson = {
            belonging: this.getBelonging(),
            status: this.getStatus()
        };
        return printerJson;
    };
    Printer.prototype.getBelonging = function () { return this.belonging; };
    Printer.prototype.getStatus = function () { return this.status; };
    return Printer;
}());
exports.Printer = Printer;
//# sourceMappingURL=printer.js.map