import { Product } from './product';
import { ApiProvider } from '../../services/api/api.provider';
import 'rxjs/add/operator/map';
export declare class ProductsProvider {
    apiProvider: ApiProvider;
    data: Product[];
    constructor(apiProvider: ApiProvider);
    create(productParameters: any): Promise<{}>;
    retrieve(tenantId: string, storeId: string): Promise<{}>;
    deserializeProducts(incoming: any): Product[];
    getProduct(productId: string): Product;
    retrieveBySKU(tenantId: string, storeId: string, SKU: string): Promise<Product>;
}
