import { ApiProvider } from './api/api.provider';
import 'rxjs/add/operator/map';
import { Observable } from 'rxjs/Observable';
import { Subject } from 'rxjs/Subject';
import { CartsProvider } from './cart/cart.provider';
export declare class SampleService {
    apiProvider: ApiProvider;
    cartprovider: CartsProvider;
    testObservable: Observable<number>;
    testNumber: number;
    obTest: Subject<number>;
    constructor(apiProvider: ApiProvider, cartprovider: CartsProvider);
    increase(): void;
    decrease(): void;
    getcurrentNumber(): Observable<number>;
    initCurrentNumber(): void;
    createCalendar(): Promise<{}>;
    retrieveCalendar(tenantId: string, storeId: string): any;
    retrieveCalendarsDetails(tenantId: string, storeId: string, calendarId: string): any;
    createEvent(calendarId: string, eventDetails: any): Promise<{}>;
}
