"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var http_1 = require("@angular/http");
require("rxjs/add/operator/map");
var StoreCheckinProvider = (function () {
    function StoreCheckinProvider(http) {
        this.http = http;
    }
    StoreCheckinProvider.prototype.checkin = function (userId, storeName, currentProvider) {
        var _this = this;
        return new Promise(function (resolve) {
            _this.http.get(currentProvider + storeName + '/users/' + userId + '/checkin')
                .map(function (res) { return res.json(); })
                .subscribe(function (data) {
                _this.checkinResponse = data;
                resolve(_this.checkinResponse);
            }, function (err) {
                console.error('Error checking in userId: ' + userId + ' in storeId: ' + storeName + ' with:', err);
            });
        });
    };
    return StoreCheckinProvider;
}());
StoreCheckinProvider.decorators = [
    { type: core_1.Injectable },
];
StoreCheckinProvider.ctorParameters = function () { return [
    { type: http_1.Http, },
]; };
exports.StoreCheckinProvider = StoreCheckinProvider;
//# sourceMappingURL=store-checkin.provider.js.map