export declare class Store {
    id: string;
    userId: string;
    tenantId: string;
    name: string;
    description: string;
    web: string;
    email: string;
    notes: string;
    imgUri: string;
    markerUri: string;
    coords: any;
    address: any;
    __v: string;
    static fromJson(obj: any): Store;
    toJson(): any;
    constructor(id: string, userId: string, tenantId: string, name: string, description: string, web: string, email: string, notes: string, imgUri: string, markerUri: string, coords: any, address: any, __v?: string);
    getId(): string;
    getUserId(): string;
    getTenantId(): string;
    getName(): string;
    getDescription(): string;
    getWeb(): string;
    getEmail(): string;
    getNotes(): string;
    getMarkerUri(): string;
    getImgUri(): string;
    getCoords(): any;
    getAddress(): any;
}
