"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Store = (function () {
    function Store(id, userId, tenantId, name, description, web, email, notes, imgUri, markerUri, coords, address, __v) {
        this.id = id;
        this.userId = userId;
        this.tenantId = tenantId;
        this.name = name;
        this.description = description;
        this.web = web;
        this.email = email;
        this.notes = notes;
        this.imgUri = imgUri;
        this.markerUri = markerUri;
        this.coords = coords;
        this.address = address;
        this.__v = __v;
    }
    Store.fromJson = function (obj) {
        return new Store(obj.id, obj.userId, obj.tenantId, obj.name, obj.description, obj.web, obj.email, obj.notes, obj.imgUri, obj.markerUri, obj.coords, obj.address, obj.__v);
    };
    Store.prototype.toJson = function () {
        var obj = {};
        obj.id = this.getId();
        obj.userId = this.getUserId();
        obj.tenantId = this.getTenantId();
        obj.name = this.getName();
        obj.description = this.getDescription();
        obj.web = this.getWeb();
        obj.email = this.getEmail();
        obj.notes = this.getNotes();
        obj.imgUri = this.getImgUri();
        obj.markerUri = this.getMarkerUri();
        obj.coords = this.getCoords();
        obj.address = this.getAddress();
        obj.__v = this.__v ? this.__v : '';
        return obj;
    };
    Store.prototype.getId = function () { return this.id; };
    Store.prototype.getUserId = function () { return this.userId; };
    Store.prototype.getTenantId = function () { return this.tenantId; };
    Store.prototype.getName = function () { return this.name; };
    Store.prototype.getDescription = function () { return this.description; };
    Store.prototype.getWeb = function () { return this.web; };
    Store.prototype.getEmail = function () { return this.email; };
    Store.prototype.getNotes = function () { return this.notes; };
    Store.prototype.getMarkerUri = function () { return this.markerUri; };
    Store.prototype.getImgUri = function () { return this.imgUri; };
    Store.prototype.getCoords = function () { return this.coords; };
    Store.prototype.getAddress = function () { return this.address; };
    return Store;
}());
exports.Store = Store;
//# sourceMappingURL=store.js.map