import { Printer } from './services/printer/printer';
// Import custom classes classes
import { Cart, CartItem, ExportMe } from './services/cart/cart';
import { Configuration } from './services/config/configuration';
import { ConfigurationDetails } from './services/config/configuration-details';
import { Product } from './services/product/product';
import { Calendar, CalEvent } from './services/calendar/calendar';
import { Offer } from './services/offers/offer';
import { Beacon } from './services/beacon/beacon';
import { Touchpoint } from './services/touchpoint/touchpoint';
import { WishList } from './services/wishlist/wishlist';
import { Store } from './services/store/store';
import { Customer } from './services/client/client';
import { Coupon   } from './services/coupon/coupon';
import { Account } from './services/account/account';
import { Transaction } from './services/account/transaction';

// Export all classes
export * from './services/cart/cart';
export * from './services/config/configuration'
export * from './services/config/configuration-details';
export * from './services/product/product';
export * from './services/calendar/calendar';
export * from './services/offers/offer';
export * from './services/beacon/beacon';
export * from './services/touchpoint/touchpoint';
export * from './services/wishlist/wishlist';
export * from './services/store/store';
export * from './services/client/client';
export * from './services/coupon/coupon';
export * from './services/account/account';
export * from './services/account/transaction';
export * from './services/printer/printer';
// Export convenience property
export const CLASSES: any[] = [
  Account, 
  Beacon, 
  Calendar, 
  Cart, 
  CartItem, 
  Configuration,
  ConfigurationDetails,
  Coupon,
  Customer,
  Offer,
  Product,
  Store,
  Touchpoint,
  Transaction,
  WishList,
  Printer
];
