import { NgModule } from '@angular/core';
// import { PDFElement }  from './services/pdf/pdf.provider';
// import { IonicModule } from 'ionic-angular';
import { 
  ApiProvider,
  CartsProvider,
  ConfigProvider,
  ClientProvider,
  ProductsProvider,
  StoreDetailsProvider,
  ServerNotificationProvider,
  CalendarProvider,
  QRProvider,
  StoreCheckinProvider,
  LocalNotificationProvider,
  OffersProvider,
  BarcodeProvider,
  BeaconProvider,
  CouponProvider,
  StoreProvider,
  TenantProvider,
  TouchpointProvider,
  UserEventProvider,
  WishListsProvider,
  ContentProvider } from './services';

  import {  
            Account,
            Beacon,
            Cart,
            CartItem,
            Configuration,
            ConfigurationDetails,
            Coupon,
            Product,
            Calendar,
            Offer,
            Touchpoint,
            WishList,
            Store,
            Transaction,
            Customer,
            CalEvent,
            Printer
          } from './classes';

const CHART_DIRECTIVES: any[] = [
];

@NgModule({
  declarations: [CHART_DIRECTIVES],
  exports: [CHART_DIRECTIVES]
})
export class ChartModule { };

export {
   ApiProvider,
  CartsProvider,
  ConfigProvider,
  ClientProvider,
  ProductsProvider,
  StoreDetailsProvider,
  ServerNotificationProvider,
  CalendarProvider,
  QRProvider,
  StoreCheckinProvider,
  LocalNotificationProvider,
  OffersProvider,
  BarcodeProvider,
  BeaconProvider,
  CouponProvider,
  StoreProvider,
  TenantProvider,
  TouchpointProvider,
  UserEventProvider,
  WishListsProvider,
  ContentProvider,

  Account,
  Beacon,
  Cart,
  CartItem,
  Configuration,
  ConfigurationDetails,
  Coupon,
  Product,
  Calendar,
  Offer,
  Touchpoint,
  WishList,
  Store,
  Transaction,
  Customer,
  CalEvent,
  Printer
};
