import { ConfigurationDetails } from './configuration-details';

export class Configuration {

  public static fromJson (obj: any) {
    // TODO check if fields exist to get the error

    return new Configuration(
      obj.id,
      obj.userId,
      obj.storeId,
      obj.appId,
      obj.tenantId,
      ConfigurationDetails.fromJson(obj.config)
      );
  }

  public toJson() {

    let obj: any = {};
    obj.id = this.getId();
    obj.userId = this.getUserId();
    obj.storeId = this.getStoreId();
    obj.appId = this.getAppId();
    obj.tenantId = this.getTenantId();
    obj.config = this.getConfigDetails().toJson();
    return obj;
  }
  // turn to private
  constructor(
    public id: string
    , public userId: string
    , public storeId: string
    , public appId: string
    , public tenantId: string
    , public ConfigDetails: ConfigurationDetails
    // version
    // created
  ) {}

  getId()               { return this.id;               }
  getUserId()           { return this.userId;           }
  getTenantId()         { return this.tenantId;         }
  getAppId()            { return this.appId;            }
  getStoreId()          { return this.storeId;          }
  getConfigDetails()    { return this.ConfigDetails;    }

  public get(key) {

  }
}
