import { Injectable } from '@angular/core';
import { Http } from '@angular/http';
import { ApiProvider } from '../../services/api/api.provider';
import 'rxjs/add/operator/map';

@Injectable()
export class ContentProvider {
  constructor( public apiProvider: ApiProvider) {
  }
  
  create(contentParameters: any ) {
    // TODO REMOVE
    let payload = contentParameters;
    let promise = new Promise((resolve, reject) => {
        this.apiProvider.api('POST', `/v1/content` , payload)
      .then((response: any) => {
        if (response.id) {
          // cast to class?
          resolve(response); //
        } else {
          reject();
        }
      },  (err) => { // catch error
        // @todo: We should check for errors ?!?
            reject(err);
          });
      });

    return promise;
  }
  
  // TODO CHANGE PARAM TYPE
  retrieveUserHome(lat: any, lng: any){
    // http://dev.omnixell.com:8000/v2/v1/home?lat={{lat}}&lng={{lng}}
    let payload: any = {'lat': 'randomLat', 'lng': 'randomLang'};
    let promise = new Promise((resolve, reject) => {
        this.apiProvider.api('GET', `/v1/home` , payload)
      .then((response: any) => {
        if (response[0].id) {
          // cast to class?
          resolve(response); //
        } else {
          reject();
        }
      },  (err) => { // catch error
        // @todo: We should check for errors ?!?
            reject(err);
          });
      });

    return promise;
  }
  retrieveByTenant(tenantId: string, type: string) {
    let payload: any = {};
    let promise = new Promise((resolve, reject) => {
        this.apiProvider.api('GET', `/v1/content/${tenantId}/${type}`, payload)
      .then((response: any) => {
          // cast to class?
          resolve(response); // ??
      },  (err) => { // catch error
        // @todo: We should check for errors ?!?
            reject(err);
          });
      });

    return promise;
  }

  retrieveContentDetails(id: string) {
    let payload: any = {};
    let promise = new Promise((resolve, reject) => {
        this.apiProvider.api('GET', `/v1/content/${id}`, payload)
      .then((response: any) => {
          // cast to class?
          resolve(response); // ??
      },  (err) => { // catch error
        // @todo: We should check for errors ?!?
            reject(err);
          });
      });

    return promise;
  }
}
