import { Injectable } from '@angular/core';
import { ApiProvider } from '../../services/api/api.provider';
import 'rxjs/add/operator/map';
// import * as _ from 'lodash';

//class ???

// Generated class for the Tenant provider. 
// See https://angular.io/docs/ts/latest/guide/dependency-injection.html
// for more info on providers and Angular 2 DI.
@Injectable()
export class TenantProvider {
  constructor( public apiProvider: ApiProvider) {
  }

    create(tenantParameters: any ) {
    // TODO REMOVE
    let payload = tenantParameters;
    let promise = new Promise((resolve, reject) => {
        this.apiProvider.api('POST', `/v1/tenant` , payload)
      .then((response: any) => {
        if (response.id) {
          // cast to class?
          resolve(response); // ??
        } else {
          reject();
        }
      },  (err) => { // catch error
        // @todo: We should check for errors ?!?
            reject(err);
          });
      });

    return promise;
  }

  retrieve(tenantId: string) {
     let payload: any = {};
    let promise = new Promise((resolve, reject) => {
        this.apiProvider.api('GET', `/v1/tenant/${tenantId}`, payload)
      .then((response: any) => {
        if (response.id) {
          // cast to class?
          resolve(response); // ??
        } else {
          reject();
        }
      },  (err) => { // catch error
        // @todo: We should check for errors ?!?
            reject(err);
          });
      });

    return promise;
  }

}
