import { Injectable } from '@angular/core';
import { ApiProvider } from '../../services/api/api.provider';
import 'rxjs/add/operator/map';
// import * as _ from 'lodash';

// Generated class for the User-Events provider. 
// See https://angular.io/docs/ts/latest/guide/dependency-injection.html
// for more info on providers and Angular 2 DI.
@Injectable()
export class UserEventProvider {
  constructor( public apiProvider: ApiProvider) {
  }

    create(userId: string, userEventParameters: any ) {
    // TODO REMOVE
    let payload = userEventParameters;
    let promise = new Promise((resolve, reject) => {
        this.apiProvider.api('POST', `/v1/user/${userId}/event` , payload)
      .then((response: any) => {
        if (response.id) {
          // cast to class?
          resolve(response); // ??
        } else {
          reject();
        }
      },  (err) => { // catch error
        // @todo: We should check for errors ?!?
            reject(err);
          });
      });

    return promise;
  }

  retrieveDetails( userId: string, eventId: string) {
     let payload: any = {};
    let promise = new Promise((resolve, reject) => {
        this.apiProvider.api('GET', `/v1/user/${userId}/event/${eventId}`, payload)
      .then((response: any) => {
        if (response.id) {
          // cast to class?
          resolve(response); // ??
        } else {
          reject();
        }
      },  (err) => { // catch error
        // @todo: We should check for errors ?!?
            reject(err);
          });
      });

    return promise;
  }
retrieveDetailsAlternative( eventId: string) {
    let payload: any = {};
    let promise = new Promise((resolve, reject) => {
        this.apiProvider.api('GET', `/v1/userevent/${eventId}`, payload)
      .then((response: any) => {
        if (response.id) {
          // cast to class?
          resolve(response); // ??
        } else {
          reject();
        }
      },  (err) => { // catch error
        // @todo: We should check for errors ?!?
            reject(err);
          });
      });

    return promise;
  }

}
